Retrieve sent email HTML
curl --request POST \
--url https://emails.platform.arb.inc/email/retrieve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "user-123:notice-2025-08-00292"
}
'import requests
url = "https://emails.platform.arb.inc/email/retrieve"
payload = { "idempotencyKey": "user-123:notice-2025-08-00292" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotencyKey: 'user-123:notice-2025-08-00292'})
};
fetch('https://emails.platform.arb.inc/email/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"html": "<html><body><h1>Notice of Service</h1><p>This is to notify you...</p></body></html>",
"subject": "Notice of Service - Case 2025-08-00292"
}"no email found for the given idempotency key"email
Retrieve sent email HTML
Looks up a sent email by its idempotency key and returns the rendered HTML content. This is used to archive service-of-notice emails as PDF evidence. Requires emails.email.sender permission.
POST
/
email
/
retrieve
Retrieve sent email HTML
Authorizations
access token
Body
application/json
Unique key used when the email was originally sent
Required string length:
1 - 200Example:
"user-123:notice-2025-08-00292"
⌘I